Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
PKCS12_PBKDF< T > Class Template Reference

PBKDF from PKCS #12, appendix B, T should be a HashTransformation class. More...

`#include <pwdbased.h>`

Inheritance diagram for PKCS12_PBKDF< T >:

List of all members.

## Public Member Functions

size_t | MaxDerivedKeyLength () const
bool | UsesPurposeByte () const
unsigned int | DeriveKey (byte *derived, size_t derivedLen, byte purpose, const byte *password, size_t passwordLen, const byte *salt, size_t saltLen, unsigned int iterations, double timeInSeconds) const
| derive key from password

## Detailed Description

### template<class T>
class PKCS12_PBKDF< T >

PBKDF from PKCS #12, appendix B, T should be a HashTransformation class.

Definition at line 141 of file pwdbased.h.

## Member Function Documentation

template<class T >

unsigned int PKCS12_PBKDF< T >::DeriveKey | ( | byte * | derived,
|  | size_t | derivedLen,
|  | byte | purpose,
|  | const byte * | password,
|  | size_t | passwordLen,
|  | const byte * | salt,
|  | size_t | saltLen,
|  | unsigned int | iterations,
|  | double | timeInSeconds
| ) |  | const`[virtual]`

derive key from password

If timeInSeconds != 0, will iterate until time elapsed, as measured by ThreadUserTimer Returns actual iteration count, which is equal to iterations if timeInSeconds == 0, and not less than iterations otherwise.

Implements PasswordBasedKeyDerivationFunction.

Definition at line 150 of file pwdbased.h.

The documentation for this class was generated from the following file:

- pwdbased.h